# Get summary data on passive responses

Debugging Tools

Interface should be called on the server side, not in the front end (Weixin Mini Program, web pages, APP, etc.) directly called, specific reference interface call guide

Interface name: getinterfacesummary

This interface is used to obtain passive response summary data

# 1. How to call

# HTTPS calls

POST https://api.weixin.qq.com/datacube/getinterfacesummary?access_token=ACCESS_TOKEN

# Cloud Calls

  • Call method: officialAccount.datacube.getInterfaceSummary

  • The input and exit parameters are the same as the HTTPS call, which can be called in the cloud call documentation

# Third party invocation

  • This interface supports Third Party Platform generation business call.

  • The permission set id to which this interface belongs is: 3

  • When a service provider is authorized by one of the permissions set, it can call on behalf of the merchant by using authorizer_access_token , which can be viewed in the third-party call documentation.

# 2. Request parameters

# Query parametersQuery String parameters

Parameter NametypeRequired to fill inIntroductions
access_tokenstringyesInterface invocation credentials, using access_token , authorizer_access_token

# Request BodyRequest Payload

Parameter NametypeRequired to fill inExampleIntroductions
begin_datestringyes2014-12-07Start date (YYYY-MM-DD format)
end_datestringyes2014-12-07End date (maximum time span of 30 days)

# 3. Return Parameters

# Response Payload

Parameter NametypeIntroductions
listobjectList of data

# Res.listObject Payload

List of data

Parameter NametypeIntroductions
ref_datestringDate of data
callback_countnumberNumber of times a user message was reactively replied to after a message was obtained through the server configuration address
fail_countnumberNumber of failures of the above actions
total_time_costnumberTotal time, divided by callback_count is the average time
max_time_costnumberMaximum time consumption

# 4. Note

  1. Querying data after December 1, 2014 is only supported
  2. It is recommended to check the previous day's data after 8am each day
  3. Ask developers to cache data themselves to reduce interface loss

# 5. Code examples

Example Requests

{
  "begin_date": "2014-12-07",
  "end_date": "2014-12-07"
}

Return an example

{
  "list": [
    {
      "ref_date": "2014-12-07",
      "callback_count": 36974,
      "fail_count": 67,
      "total_time_cost": 14994291,
      "max_time_cost": 5044
    }
  ]
}

# 6. Error code

The following is a list of error codes for this interface, other error codes can refer to General error codes

Error codeError DescriptionSolutions
-1system errorThe system is busy, so the developer is asked to try again in a few minutes.
40001invalid credential  access_token isinvalid or not latestAppSecret error while getting access_token, or access_token is invalid.Developers should check that AppSecret is correct, or that they are calling interfaces for the appropriate Official Account
61500date format errorDate format error
61501date range errorThe difference between begin_date and end_date exceeds the maximum span
61503data not ready  please try laterData has not yet been generated

# 7. Scope of application

How this interface can be invoked under different account types:
Official Account Service Account
Certification only Certification only
  • Authentication only: means that only authenticated accounts are allowed to be invoked by the enterprise entity, and accounts that are not authenticated or do not support authentication cannot be invoked.
  • Other account types that are not expressly stated may not be called on this interface without special instructions;